#----- Edited by S A Z ----- 0.8.2 Mod B ----- Completed
#----- Initial Rewrite Phase 01 ----- Not Completed

screen say(who, what):
    style_prefix "say"

    window:
        id "window"

        if who is not None:

            window:
                style "namebox"
                text who id "who"

        text what id "what"

    if not renpy.variant("small"):
        add SideImage() xalign 0.0 yalign 1.0

screen input(prompt):
    style_prefix "input"

    window:

        has vbox:
            xalign gui.dialogue_text_xalign
            xpos gui.dialogue_xpos
            xsize gui.dialogue_width
            ypos gui.dialogue_ypos

        text prompt style "input_prompt"
        input id "input"

screen choice(items):
    style_prefix "choice"

    vbox:
        for i in items:
            textbutton i.caption action i.action

screen saz_quick_menu():

    zorder 100

    #if quick_menu:

    hbox:
        style_prefix "quick"

        xalign 0.5
        yalign 1.0

        textbutton _("Hide") action HideInterface() #----- added -----
        textbutton _("Back") action Rollback()
        textbutton _("History") action ShowMenu('history')
        textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True)
        textbutton _("Auto") action Preference("auto-forward", "toggle")
        textbutton _("Save") action ShowMenu('save')
        textbutton _("Q.Save") action QuickSave()
        textbutton _("Q.Load") action QuickLoad()
        textbutton _("Prefs") action ShowMenu('preferences')

init python:
    config.overlay_screens.append("quick_menu")

define quick_menu = True #----- Was False -----

screen navigation():

    vbox:
        style_prefix "navigation"

        xpos gui.navigation_xpos
        yalign 0.5

        spacing gui.navigation_spacing

        if main_menu:

            textbutton _("Start (Modded)") action Start("saz_start") #----- Custom -----

        else:

            textbutton _("History") action ShowMenu("history")

            textbutton _("Save") action ShowMenu("save")

        textbutton _("Load") action ShowMenu("load")

        textbutton _("Preferences") action ShowMenu("preferences")

        if _in_replay:

            textbutton _("End Replay") action EndReplay(confirm=True)

        elif not main_menu:

            textbutton _("Main Menu") action MainMenu()

        textbutton _("About") action ShowMenu("about")

        if renpy.variant("pc"):

            textbutton _("Quit") action Quit(confirm=not main_menu)

screen main_menu():
    tag menu
    style_prefix "main_menu"

    #if persistent.end == "intro":
        #add gui.main_menu_background2
    #else:
        #add gui.main_menu_background
    #add gui.main_menu_background
    add "SAZMOD/edited/gui/main_menu.png"
    imagebutton auto "gui/icons/patreon_%s.png" xpos 1450 ypos 255 action OpenURL("http://www.patreon.com/saddoggames") focus_mask True #xpos 1444 ypos 918

#    text "[renpy.config.gamedir]" xalign .95 yalign .91
#    text "[renpy.config.save_directory]" xalign .95 yalign .95
#    text "[renpy.config.savedir]" xalign .95 yalign .99

    frame

    use navigation

    if gui.show_name:

        vbox:
            text "[config.name!t]":
                style "main_menu_title"

            text "[config.version]":
                style "main_menu_version"

screen game_menu(title, scroll=None):
    style_prefix "game_menu"

    if main_menu:
        #add gui.main_menu_background
        add "SAZMOD/edited/gui/main_menu.png"
    else:
        add gui.game_menu_background

    frame:
        style "game_menu_outer_frame"

        has hbox

        frame:
            style "game_menu_navigation_frame"

        frame:
            style "game_menu_content_frame"

            if scroll == "viewport":

                viewport:
                    scrollbars "vertical"
                    mousewheel True
                    draggable True

                    side_yfill True

                    has vbox
                    transclude

            elif scroll == "vpgrid":

                vpgrid:
                    cols 1
                    yinitial 1.0

                    scrollbars "vertical"
                    mousewheel True
                    draggable True

                    side_yfill True

                    transclude

            else:

                transclude

    use navigation

    textbutton _("Return"):
        style "return_button"

        action Return()

    label title

    if main_menu:
        key "game_menu" action ShowMenu("main_menu")

screen about():
    tag menu
    use game_menu(_("About"), scroll="viewport"):

        style_prefix "about"

        vbox:

            label "[config.name!t] {color=#f00}with S A Z Mod{/color}"
            text _("Version [config.version!t]")

            if gui.about:
                text "[gui.about!t]\n"

            if renpy.exists("SAZMOD/edited/anim/spot1000/spot1000_key.rpy") == True:
                text "Special thanks to {color=#f00}Spot1000{/color} for additional animations\n"

            text _("Made with {a=https://www.renpy.org/}Ren'Py{/a} [renpy.version_only].\n\n[renpy.license!t]\n")

            text "Saddog's patreon link for more information and support: {a=http://www.patreon.com/saddoggames}Saddoggames at patreon.com{/a}\n"

            text "Android port by {a=https://spear1403.blogspot.com}spear1403{/a}\n"

            text "Music by Bensound.com"

screen save():
    tag menu
    use file_slots(_("Save"))

screen load():
    tag menu
    use file_slots(_("Load"))

screen file_slots(title):

    $ foregroundselector = ""

    default page_name_value = FilePageNameInputValue(pattern=_("Page {}"), auto=_("Automatic saves"), quick=_("Quick saves"))

    use game_menu(title):

        fixed:

            order_reverse True

            button:
                style "page_label"

                key_events True
                xalign 0.5
                action page_name_value.Toggle()

                input:
                    style "page_label_text"
                    value page_name_value

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"

                xalign 0.5
                yalign 0.5

                spacing gui.slot_spacing

                #if store.saz_mod_save:
                    #$ foregroundselector = "SAZMOD/edited/gui/goodsave.png"
                #else:
                    #$ foregroundselector = "SAZMOD/edited/gui/goodsave.png"

                for i in range(gui.file_slot_cols * gui.file_slot_rows):

                    $ slot = i + 1

                    button:

                        action If(renpy.get_screen("save"), true=Show("save_name_modal", accept=FileSave(slot, confirm=False)), false=FileLoad(slot))

                        #foreground foregroundselector

                        has vbox

                        add FileScreenshot(slot) xalign 0.5

                        text FileSaveName(slot):
                            style "slot_name_text"

                        hbox:
                            xsize 375

                            text FileTime(slot, format=_("{#file_time}%A, %B %d %Y, %H:%M"), empty=_("empty slot")):
                                style "slot_time_text"

                            key "save_delete" action FileDelete(slot)

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0

                spacing gui.page_spacing

                textbutton _("<") action FilePagePrevious()

                if config.has_autosave:
                    textbutton _("{#auto_page}A") action FilePage("auto")

                if config.has_quicksave:
                    textbutton _("{#quick_page}Q") action FilePage("quick")


                for page in range(1, 10):
                    textbutton "[page]" action FilePage(page)

                textbutton _(">") action FilePageNext()

screen save_name_modal(accept=NullAction()):
    modal True
    add Solid("#000000") alpha 0.8
    style_prefix "save_name_modal"

    frame:
        has vbox:
            xalign 0.5
            spacing 20

        label _("Please name your save:"):
            text_color gui.text_color
            xalign 0.5

        null height 10

        input size 40 color gui.hover_color default "" prefix "SAZMOD " changed set_save_name length 25 allow "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ 0123456789 -/*": #default store.save_name
            yalign 1.0
            xalign 0.5
            xysize (550, 40)

        textbutton _("Save game"):
            xalign 0.5
            action [accept, Hide("save_name_modal")]

        key "game_menu" action Hide("save_name_modal")

    $ store.save_name = "SAZMOD" #----- Defaults to this save name is nothing is input -----

init python:
    def set_save_name(new_name):
        store.save_name = "SAZMOD " + new_name

screen preferences():
    tag menu

    if renpy.mobile:
        $ cols = 2
    else:
        $ cols = 4

    use game_menu(_("Preferences"), scroll="viewport"):

        vbox:

            hbox:
                box_wrap True

                if renpy.variant("pc"):

                    vbox:
                        style_prefix "radio"
                        label _("Display")
                        textbutton _("Window") action Preference("display", "window")
                        textbutton _("Fullscreen") action Preference("display", "fullscreen")

                vbox:
                    style_prefix "radio"
                    label _("Rollback Side")
                    textbutton _("Disable") action Preference("rollback side", "disable")
                    textbutton _("Left") action Preference("rollback side", "left")
                    textbutton _("Right") action Preference("rollback side", "right")

                vbox:
                    style_prefix "check"
                    label _("Skip")
                    textbutton _("Unseen Text") action Preference("skip", "toggle")
                    textbutton _("After Choices") action Preference("after choices", "toggle")
                    textbutton _("Transitions") action InvertSelected(Preference("transitions", "toggle"))

            null height (4 * gui.pref_spacing)

            hbox:
                style_prefix "slider"
                box_wrap True

                vbox:

                    label _("Text Speed")

                    bar value Preference("text speed")

                    label _("Auto-Forward Time")

                    bar value Preference("auto-forward time")

                vbox:

                    if config.has_music:
                        label _("Music Volume")

                        hbox:
                            bar value Preference("music volume")

                    if config.has_sound:

                        label _("Sound Volume")

                        hbox:
                            bar value Preference("sound volume")

                            if config.sample_sound:
                                textbutton _("Test") action Play("sound", config.sample_sound)


                    if config.has_voice:
                        label _("Voice Volume")

                        hbox:
                            bar value Preference("voice volume")

                            if config.sample_voice:
                                textbutton _("Test") action Play("voice", config.sample_voice)

                    if config.has_music or config.has_sound or config.has_voice:
                        null height gui.pref_spacing

                        textbutton _("Mute All"):
                            action Preference("all mute", "toggle")
                            style "mute_all_button"

screen history():
    tag menu

    predict False

    use game_menu(_("History"), scroll=("vpgrid" if gui.history_height else "viewport")):

        style_prefix "history"

        for h in _history_list:

            window:

                has fixed:
                    yfit True

                if h.who:

                    label h.who:
                        style "history_name"



                        if "color" in h.who_args:
                            text_color h.who_args["color"]

                text h.what

        if not _history_list:
            label _("The dialogue history is empty.")

screen help():
    tag menu

    default device = "keyboard"

    use game_menu(_("Help"), scroll="viewport"):

        style_prefix "help"

        vbox:
            spacing 23

            hbox:

                textbutton _("Keyboard") action SetScreenVariable("device", "keyboard")
                textbutton _("Mouse") action SetScreenVariable("device", "mouse")

                if GamepadExists():
                    textbutton _("Gamepad") action SetScreenVariable("device", "gamepad")

            if device == "keyboard":
                use keyboard_help
            elif device == "mouse":
                use mouse_help
            elif device == "gamepad":
                use gamepad_help


screen keyboard_help():

    hbox:
        label _("Enter")
        text _("Advances dialogue and activates the interface.")

    hbox:
        label _("Space")
        text _("Advances dialogue without selecting choices.")

    hbox:
        label _("Arrow Keys")
        text _("Navigate the interface.")

    hbox:
        label _("Escape")
        text _("Accesses the game menu.")

    hbox:
        label _("Ctrl")
        text _("Skips dialogue while held down.")

    hbox:
        label _("Tab")
        text _("Toggles dialogue skipping.")

    hbox:
        label _("Page Up")
        text _("Rolls back to earlier dialogue.")

    hbox:
        label _("Page Down")
        text _("Rolls forward to later dialogue.")

    hbox:
        label "H"
        text _("Hides the user interface.")

    hbox:
        label "S"
        text _("Takes a screenshot.")

    hbox:
        label "V"
        text _("Toggles assistive {a=https://www.renpy.org/l/voicing}self-voicing{/a}.")


screen mouse_help():

    hbox:
        label _("Left Click")
        text _("Advances dialogue and activates the interface.")

    hbox:
        label _("Middle Click")
        text _("Hides the user interface.")

    hbox:
        label _("Right Click")
        text _("Accesses the game menu.")

    hbox:
        label _("Mouse Wheel Up\nClick Rollback Side")
        text _("Rolls back to earlier dialogue.")

    hbox:
        label _("Mouse Wheel Down")
        text _("Rolls forward to later dialogue.")


screen gamepad_help():

    hbox:
        label _("Right Trigger\nA/Bottom Button")
        text _("Advances dialogue and activates the interface.")

    hbox:
        label _("Left Trigger\nLeft Shoulder")
        text _("Rolls back to earlier dialogue.")

    hbox:
        label _("Right Shoulder")
        text _("Rolls forward to later dialogue.")

    hbox:
        label _("D-Pad, Sticks")
        text _("Navigate the interface.")

    hbox:
        label _("Start, Guide")
        text _("Accesses the game menu.")

    hbox:
        label _("Y/Top Button")
        text _("Hides the user interface.")

    textbutton _("Calibrate") action GamepadCalibrate()

screen saz_hud():
    zorder 1

    #----- addded -----
    default tt = Tooltip ("")

    frame:
        has vbox:
            xalign 0.0
        if day == 0:
            text ("Sunday") pos (0, 0)
        elif day == 1:
            text ("Monday") pos (0, 0)
        elif day == 2:
            text ("Tuesday") pos (0, 0)
        elif day == 3:
            text ("Wednesday") pos (0, 0)
        elif day == 4:
            text ("Thursday") pos (0, 0)
        elif day == 5:
            text ("Friday") pos (0, 0)
        elif day == 6:
            text ("Saturday") pos (0, 0)

        if dtime == 0:
            text ("12:00 am") pos (0, 0)
        elif dtime == 6:
            text ("6:00 am") pos (0, 0)
        elif dtime == 62:
            text ("6:30 am") pos (0, 0)
        elif dtime == 7:
            text ("7:00 am") pos (0, 0)
        elif dtime == 8:
            text ("8:00 am") pos (0, 0)
        elif dtime == 9:
            text ("9:00 am") pos (0, 0)
        elif dtime == 10:
            text ("10:00 am") pos (0, 0)
        elif dtime == 11:
            text ("11:00 am") pos (0, 0)
        elif dtime == 12:
            text ("12:00 pm") pos (0, 0)
        elif dtime == 13:
            text ("1:00 pm") pos (0, 0)
        elif dtime == 14:
            text ("2:00 pm") pos (0, 0)
        elif dtime == 15:
            text ("3:00 pm") pos (0, 0)
        elif dtime == 16:
            text ("4:00 pm") pos (0, 0)
        elif dtime == 17:
            text ("5:00 pm") pos (0, 0)
        elif dtime == 18:
            text ("6:00 pm") pos (0, 0)
        elif dtime == 19:
            text ("7:00 pm") pos (0, 0)
        elif dtime == 20:
            text ("8:00 pm") pos (0, 0)
        elif dtime == 21:
            text ("9:00 pm") pos (0, 0)
        elif dtime == 22:
            text ("10:00 pm") pos (0, 0)
        elif dtime == 23:
            text ("11:00 pm") pos (0, 0)
        elif dtime == 24:
            text ("0:00 am") pos (0, 0)
        elif dtime == 25:
            text ("1:00 am") pos (0, 0)
        elif dtime == 2:
            text ("2:00 am") pos (0, 0)
        elif dtime == 4:
            text ("4:00 am") pos (0, 0)

        text ("Money: [money]$") pos (0, 0)

    #----- Original -----
    #imagebutton auto "gui/icons/mp_previous_%s.png" xpos 5 ypos 197 action mr.previous focus_mask True
    #imagebutton auto "gui/icons/mp_stop_%s.png" xpos 62 ypos 197 action mr.stop focus_mask True
    #imagebutton auto "gui/icons/mp_play_%s.png" xpos 128 ypos 197 action mr.play focus_mask True
    #imagebutton auto "gui/icons/mp_next_%s.png" xpos 188 ypos 197 action mr.next focus_mask True

    #----- Custom -----
    imagebutton auto "gui/icons/mp_previous_%s.png" xpos 5 ypos 205 action [ Stop("music"), mymusic.previous, SetVariable('gamemusic', False) ] hovered tt.Action ("PREVIOUS") focus_mask True
    imagebutton auto "gui/icons/mp_stop_%s.png" xpos 62 ypos 205 action [ Stop("music"), mymusic.stop, SetVariable('gamemusic', False) ] hovered tt.Action ("STOP") focus_mask True
    imagebutton auto "gui/icons/mp_play_%s.png" xpos 128 ypos 205 action [ Stop("music"), mymusic.play, SetVariable('gamemusic', False) ] hovered tt.Action ("PLAY") focus_mask True
    imagebutton auto "gui/icons/mp_next_%s.png" xpos 188 ypos 205 action [ Stop("music"), mymusic.next, SetVariable('gamemusic', False) ] hovered tt.Action ("NEXT") focus_mask True

    frame:
        if tt.value == "" or tt.value ==" ":
            background None
        xalign 0
        yalign .23
        text tt.value

screen saz_phone():
    zorder 1
    default tt = Tooltip ("")

    fixed:
        #imagebutton auto "gui/icons/phone_%s.png" xpos 1820 ypos 23 action (Jump("phone1")) focus_mask True
        imagebutton auto "gui/icons/phone_%s.png" xpos 1820 ypos 23 action (ui.callsinnewcontext("saz_phone1")) focus_mask True
        #----- addded 0.7 -----
        #if messagepush == True: - Removed for New System
        if nicole_newmessage == True or davide_newmessage == True or irina_newmessage == True:
            add "gui/icons/message.png" xpos 1825 ypos 66


#----- Edited -----
label saz_phone1:
    show screen saz_hud
    call screen saz_phonemenu

screen saz_phonemenu():
    #image phonebackground = phonebackgroundimages[phonebackindex]
    #on "show" action SetVariable("phonebackground", phonebackgroundimages[phonebackindex])

    zorder 100
    modal True
    default tt = Tooltip ("")

    if phonebackindex == 1:
        add "SAZMOD/edited/gui/phoneback/background01.png" at truecenter
    elif phonebackindex == 2:
        add "SAZMOD/edited/gui/phoneback/background02.png" at truecenter
    elif phonebackindex == 3:
        add "SAZMOD/edited/gui/phoneback/background03.png" at truecenter
    elif phonebackindex == 4:
        add "SAZMOD/edited/gui/phoneback/background04.png" at truecenter
    elif phonebackindex == 5:
        add "SAZMOD/edited/gui/phoneback/background05.png" at truecenter
    elif phonebackindex == 6:
        add "SAZMOD/edited/gui/phoneback/background06.png" at truecenter
    elif phonebackindex == 7:
        add "SAZMOD/edited/gui/phoneback/background07.png" at truecenter
    elif phonebackindex == 8:
        add "SAZMOD/edited/gui/phoneback/background08.png" at truecenter
    elif phonebackindex == 9:
        add "SAZMOD/edited/gui/phoneback/background09.png" at truecenter
    elif phonebackindex == 10:
        add "SAZMOD/edited/gui/phoneback/background10.png" at truecenter
    elif phonebackindex == 11:
        add "SAZMOD/edited/gui/phoneback/background11.png" at truecenter
    elif phonebackindex == 12:
        add "SAZMOD/edited/gui/phoneback/background12.png" at truecenter
    elif phonebackindex == 13:
        add "SAZMOD/edited/gui/phoneback/background13.png" at truecenter
    elif phonebackindex == 14:
        add "SAZMOD/edited/gui/phoneback/background14.png" at truecenter
    elif phonebackindex == 15:
        add "SAZMOD/edited/gui/phoneback/background15.png" at truecenter
    elif phonebackindex == 16:
        add "SAZMOD/edited/gui/phoneback/background16.png" at truecenter
    elif phonebackindex == 17:
        add "SAZMOD/edited/gui/phoneback/background17.png" at truecenter
    elif phonebackindex == 18:
        add "SAZMOD/edited/gui/phoneback/background18.png" at truecenter
    elif phonebackindex == 19:
        add "SAZMOD/edited/gui/phoneback/background19.png" at truecenter
    elif phonebackindex == 20:
        add "SAZMOD/edited/gui/phoneback/background20.png" at truecenter
    else:
        add "gui/icons/phone.png" at truecenter

    fixed:
        #----- add "gui/icons/phone.png" xpos 714 ypos 44 ----- Original Version
        if phoneiconpos == True:
            imagebutton auto "SAZMOD/edited/gui/picons/white_icon_%s.png" xpos 768 ypos 189 action (Hide('saz_phonemenu'), Show('saz_contacts', transition=None)) hovered Notify("Contacts") focus_mask True
            add "SAZMOD/edited/gui/picons/contacts.png" xpos 768 ypos 189
            if nicole_newmessage or davide_newmessage or irina_newmessage:
                imagebutton idle "new_message_alert" hover "SAZMOD/edited/gui/picons/green_icon_hover.png" xpos 915 ypos 189 action (Hide('saz_phonemenu'), Show('saz_messenger1', transition=None)) hovered Notify("Messenger") focus_mask True
            else:
                imagebutton auto "SAZMOD/edited/gui/picons/green_icon_%s.png" xpos 915 ypos 189 action (Hide('saz_phonemenu'), Show('saz_messenger1', transition=None)) hovered Notify("Messenger") focus_mask True
            add "SAZMOD/edited/gui/picons/chat.png" xpos 915 ypos 189
            imagebutton auto "SAZMOD/edited/gui/picons/blue_icon_%s.png" xpos 1061 ypos 189 action (Hide('saz_phonemenu'), Show('saz_phonewallmenu', transition=None)) hovered Notify("Photos (Phone Options)") focus_mask True
            add "SAZMOD/edited/gui/picons/photos.png" xpos 1061 ypos 189
            imagebutton auto "SAZMOD/edited/gui/picons/yellow_icon_%s.png" xpos 768 ypos 313 action (Hide('saz_phonemenu'), Show('saz_inventory', transition=None)) hovered Notify("Inventory") focus_mask True
            add "SAZMOD/edited/gui/picons/inventory.png" xpos 768 ypos 313
            imagebutton auto "SAZMOD/edited/gui/picons/white_icon_%s.png" xpos 1061 ypos 313 action (Hide('saz_phonemenu'), Jump('saz_dlh')) hovered Notify("Help") focus_mask True
            add "SAZMOD/edited/gui/picons/help.png" xpos 1061 ypos 313
            imagebutton auto "SAZMOD/edited/gui/picons/red_icon_%s.png" xpos 915 ypos 313 action (Hide('saz_phonemenu'), Jump('saz_shop')) hovered Notify("Shop") focus_mask True
            add "SAZMOD/edited/gui/picons/shop.png" xpos 915 ypos 313
            imagebutton auto "SAZMOD/edited/gui/picons/purple_icon_%s.png" xpos 915 ypos 437 action (Hide('saz_phonemenu'), Show('saz_cheats', transition=None)) hovered Notify("Cheat Menu") focus_mask True
            add "SAZMOD/edited/gui/picons/cheat.png" xpos 915 ypos 437

        else:
            imagebutton auto "SAZMOD/edited/gui/picons/white_icon_%s.png" xpos 768 ypos 565 action (Hide('saz_phonemenu'), Show('saz_contacts', transition=None)) hovered Notify("Contacts") focus_mask True
            add "SAZMOD/edited/gui/picons/contacts.png" xpos 768 ypos 565
            if nicole_newmessage or davide_newmessage or irina_newmessage:
                imagebutton idle "new_message_alert" hover "SAZMOD/edited/gui/picons/green_icon_hover.png" xpos 915 ypos 565 action (Hide('saz_phonemenu'), Show('saz_messenger1', transition=None)) hovered Notify("Messenger") focus_mask True
            else:
                imagebutton auto "SAZMOD/edited/gui/picons/green_icon_%s.png" xpos 915 ypos 565 action (Hide('saz_phonemenu'), Show('saz_messenger1', transition=None)) hovered Notify("Messenger") focus_mask True
            add "SAZMOD/edited/gui/picons/chat.png" xpos 915 ypos 565
            imagebutton auto "SAZMOD/edited/gui/picons/blue_icon_%s.png" xpos 1061 ypos 565 action (Hide('saz_phonemenu'), Show('saz_phonewallmenu', transition=None)) hovered Notify("Photos (Phone Options)") focus_mask True
            add "SAZMOD/edited/gui/picons/photos.png" xpos 1061 ypos 565
            imagebutton auto "SAZMOD/edited/gui/picons/yellow_icon_%s.png" xpos 768 ypos 689 action (Hide('saz_phonemenu'), Show('saz_inventory', transition=None)) hovered Notify("Inventory") focus_mask True
            add "SAZMOD/edited/gui/picons/inventory.png" xpos 768 ypos 689
            imagebutton auto "SAZMOD/edited/gui/picons/white_icon_%s.png" xpos 1061 ypos 689 action (Hide('saz_phonemenu'), Jump('saz_dlh')) hovered Notify("Help") focus_mask True
            add "SAZMOD/edited/gui/picons/help.png" xpos 1061 ypos 689
            imagebutton auto "SAZMOD/edited/gui/picons/red_icon_%s.png" xpos 915 ypos 689 action (Hide('saz_phonemenu'), Jump('saz_shop')) hovered Notify("Shop") focus_mask True
            add "SAZMOD/edited/gui/picons/shop.png" xpos 915 ypos 689
            imagebutton auto "SAZMOD/edited/gui/picons/purple_icon_%s.png" xpos 915 ypos 813 action (Hide('saz_phonemenu'), Show('saz_cheats', transition=None)) hovered Notify("Cheat Menu") focus_mask True
            add "SAZMOD/edited/gui/picons/cheat.png" xpos 915 ypos 813

    #imagebutton auto "gui/icons/close_%s.png" xpos 924 ypos 980 action (Hide('phonemenu') hovered Notify("Close") focus_mask True
    imagebutton auto "SAZMOD/edited/gui/vert_phone_close_%s.png" xalign .5 yalign .935 action Return() hovered Notify("Close") focus_mask True

    frame:
        if tt.value == "" or tt.value ==" ":
            background None
        xalign .5
        text tt.value

screen zoompic():
    zorder 1
    modal True
    imagemap:
        ground "trans.png"
        hotspot (58, 20, 1806, 1041):
            action Hide("zoompic"), With(Dissolve(0.1))
    if show_message_pic_boobs:
        add "photo/nicole boobs.jpg" zoom 0.9 xalign 0.5 yalign 0.5
    else:
        add "photo/nicole parentsroom evening.jpg" zoom 0.9 xalign 0.5 yalign 0.5

screen confirm(message, yes_action, no_action):

    modal True

    zorder 200

    style_prefix "confirm"

    add "gui/overlay/confirm.png"

    frame:

        has vbox:
            xalign .5
            yalign .5
            spacing 45

        label _(message):
            style "confirm_prompt"
            xalign 0.5

        hbox:
            xalign 0.5
            spacing 150

            textbutton _("Yes") action yes_action
            textbutton _("No") action no_action


    key "game_menu" action no_action

screen skip_indicator():

    zorder 100
    style_prefix "skip"

    frame:

        has hbox:
            spacing 9

        text _("Skipping")

        text "▸" at delayed_blink(0.0, 1.0) style "skip_triangle"
        text "▸" at delayed_blink(0.2, 1.0) style "skip_triangle"
        text "▸" at delayed_blink(0.4, 1.0) style "skip_triangle"

transform delayed_blink(delay, cycle):
    alpha .5

    pause delay
    block:

        linear .2 alpha 1.0
        pause .2
        linear .2 alpha 0.5
        pause (cycle - .4)
        repeat

screen notify(message):

    zorder 100
    style_prefix "notify"

    frame at notify_appear:
        text message

    timer 3.25 action Hide('notify')

transform notify_appear:
    on show:
        alpha 0
        linear .25 alpha 1.0
    on hide:
        linear .5 alpha 0.0

screen nvl(dialogue, items=None):

    window:
        style "nvl_window"

        has vbox:
            spacing gui.nvl_spacing


        if gui.nvl_height:

            vpgrid:
                cols 1
                yinitial 1.0

                use nvl_dialogue(dialogue)

        else:

            use nvl_dialogue(dialogue)



        for i in items:

            textbutton i.caption:
                action i.action
                style "nvl_button"

    add SideImage() xalign 0.0 yalign 1.0


screen nvl_dialogue(dialogue):

    for d in dialogue:

        window:
            id d.window_id

            has fixed:
                yfit gui.nvl_height is None

            if d.who is not None:

                text d.who:
                    id d.who_id

            text d.what:
                id d.what_id

screen quick_menu():
    variant "touch"

    zorder 100

    hbox:
        style_prefix "quick"

        xalign 0.5
        yalign 1.0

        textbutton _("Hide") action HideInterface() #----- added -----
        textbutton _("Back") action Rollback()
        textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True)
        textbutton _("Auto") action Preference("auto-forward", "toggle")
        textbutton _("Menu") action ShowMenu()
